summaryrefslogtreecommitdiff
path: root/larbs.sh
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-03-24 16:33:55 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-03-24 16:33:55 -0400
commitb07a297fe637ce9bddf93ae384bfbb86020dec97 (patch)
treed3615254b0cb002c9883ed7dc269f7f4c29b31c3 /larbs.sh
parentcaea254971137a223b08017b11c96a1d9a1102ff (diff)
block brave autoupdates
Diffstat (limited to 'larbs.sh')
-rw-r--r--larbs.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/larbs.sh b/larbs.sh
index 6d3a107..f1202f7 100644
--- a/larbs.sh
+++ b/larbs.sh
@@ -232,6 +232,10 @@ sed -i "s/^$name:\(.*\):\/bin\/.*/$name:\1:\/bin\/zsh/" /etc/passwd
# dbus UUID must be generated for Artix runit.
dbus-uuidgen > /var/lib/dbus/machine-id
+# Block Brave autoupdates just in case. (I don't know if these even exist on Linux, but whatever.)
+grep -q "laptop-updates.brave.com" /etc/hosts || echo "0.0.0.0 laptop-updates.brave.com
+0.0.0.0 go-updater.brave.com" >> /etc/hosts
+
# Let LARBS know the WM it's supposed to run.
echo "$edition" > "/home/$name/.local/share/larbs/wm"; chown -R "$name":wheel "/home/$name/.local"